'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

const _key = require('default-key');
const moment = require('moment');
const db = require('./dynamo');

function create(TableName, { input }) {
  const Item = _extends({
    id: _key(TableName.toLowerCase())
  }, input, {
    updatedAt: moment().format(),
    createdAt: moment().format()
  });
  return db.createItem({
    TableName,
    Item
  });
}

module.exports = create;