'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

const db = require('./dynamo');
const mapAttributes = require('./mapAttributes');
const createFilterExpression = require('./');

function filter(TableName, pair) {
  let params = _extends({
    TableName
  }, mapAttributes(pair), createFilterExpression(pair));
  return db.scan(params);
}

module.exports = filter;