const _key = require('default-key')
const moment = require('moment')
const db = require('./dynamo')

function create(TableName, { input }) {
  const Item = {
    id: _key(TableName.toLowerCase()),
    ...input,
    updatedAt: moment().format(),
    createdAt: moment().format()
  }
  return db.createItem({
    TableName,
    Item,
  })
}

module.exports = create

