function prependObjectKeys(obj, char, mapToValues = false) {
  return Object.keys(obj).reduce((acc, key) => {
    if(key !== '__typename' && obj[key] !== '') {
      acc[`${char}${key}`] = mapToValues ? obj[key] : key
    }
    return acc
  }, {})
}

module.exports = prependObjectKeys